<template>
  <section class="resume-section p-3 p-lg-5 d-flex justify-content-center" id="experience">
    <div class="w-100">
      <h2 class="mb-5">Experience</h2>

      <div v-for="edge in $static.experiences.edges" :key="edge.node.id" class="resume-item d-flex flex-column flex-md-row justify-content-between mb-5">
        <div class="resume-content">
          <h3 class="mb-0">{{edge.node.title}}</h3>
          <div class="subheading mb-3"><a :href="edge.node.company ? edge.node.companyWebsite : '#'" target="_">{{edge.node.company}}</a> / {{edge.node.location}}</div>
          <p>{{edge.node.description}}</p>
        </div>
        <div class="resume-date text-md-right">
          <span class="text-primary">{{edge.node.startDate}} - {{edge.node.endDate === 'Invalid date' ? 'Present': edge.node.endDate}}</span>
        </div>
      </div>
    </div>
  </section>
</template>

<static-query>
query Experiences {
  experiences: allContentfulExperience(sortBy: "createdAt") {
    edges {
      node {
        id
        title
        company
        companyWebsite
        description
        startDate(format: "MMMM YYYY")
        endDate(format: "MMMM YYYY")
        location
      }
    }
  }
}
</static-query>